Skip to main content
GET
JavaScript

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

assets
string[]
required

Comma separated list of assets.
Use a corresponding /catalog-all-v2/asset-{dataType} endpoint for the full list of supported assets for a given data type.

metrics
string[]
required

Comma separated metrics to request time series data for.
Information on all available metrics can be found on page https://coverage.coinmetrics.io/asset-metrics-v2.
Use the /catalog-all-v2/asset-metrics endpoint for the full list of supported metrics per asset.

Example:
frequency
string
default:1b

Frequency of the metrics. Supported values are 1b (block by block), 1s, 200ms.

Example:

"1s"

backfill
enum<string>
default:latest

What data should be sent upon a connection.
By default the latest values are sent just before real-time data.

Available options:
latest,
none
pretty
boolean
default:false

Human-readable formatting of JSON responses.

ignore_unsupported_errors
boolean
default:false

Ignore "unsupported" errors for not currently supported by Coin Metrics items.

ignore_forbidden_errors
boolean
default:false

Ignore "forbidden" errors for the items you currently don't have access to.

Response

Provided URI is too long. It must not be greater than 10000 symbols.